/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 05/05/2022 : LBE : V2.5
 * DM-ID : Redmine#9229 : 01/05/2022 : PFSS mode
 * Version : 05/08/2024 : LBE : V2.11
 * DM-ID : Redmine#l0763 : 05/08/2024 : improvements
 * ----------------------------------------
 */
package fr.tlse.irap.fieldLine;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class FieldLine {


	private List<FieldPoint> points;
        private String color;
        /**
         * Index in list of field points where parker points end and pfss starts.
         */
        private int pfssIdx = 0;

	public FieldLine() {
		points = new ArrayList<FieldPoint>();
	}

	public FieldLine(List<FieldPoint> pPoints) {
		this.points = pPoints;
	}

    /**
     * @return the points
     */
    public List<FieldPoint> getPoints() {
        return points;
    }

    /**
     * @param points the points to set
     */
    public void setPoints(List<FieldPoint> points) {
        this.points = points;
    }

    /**
     * @return the color
     */
    public String getColor() {
        return color;
    }

    /**
     * @param color the color to set
     */
    public void setColor(String color) {
        this.color = color;
    }

    /**
     * Index in list of field points where parker points end and pfss starts.
     * @return the pfssIdx
     */
    public int getPfssIdx() {
        return pfssIdx;
    }

    /**
     * Index in list of field points where parker points end and pfss starts.
     * @param pfssIdx the pfssIdx to set
     */
    public void setPfssIdx(int pfssIdx) {
        this.pfssIdx = pfssIdx;
    }

}
